//Thermometer with thermistor

#define RT0 10000   // Ω
#define B 3750      //  K
#define VOLTAGE_PIN 8
#define VCC 3.3    //Supply  voltage
#define R 1000  //R=1KΩ

//Variables
float RT, VR, ln, temp, T0, VRT;

void setup() {
  Serial.begin(9600);
  T0 = 25 + 273.15;                 //Celsius to kelvin
}

void loop() {
  VRT = analogRead(VOLTAGE_PIN);       //Acquisition analog value of VRT
  VRT  = (3.30 / 1023.00) * VRT;      //Conversion to voltage
  VR = VCC - VRT;
  RT = VRT / (VR / R);               //Resistance of RT

  ln = log(RT / RT0);
  temp = (1 / ((ln / B) + (1 / T0))); //Temperature from thermistor

  temp =  temp - 273.15;                 //Conversion to Celsius

  Serial.print("Temperature:");
  Serial.print("\  ");
  Serial.print(VRT);
  Serial.println("C\  \ ");

}
